Summary: A libMirage-based CD/DVD-ROM image analyzer
Name: image-analyzer
Version: 3.2.4
Release: 1%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://sourceforge.net/projects/cdemu
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2

BuildArch: noarch

BuildRequires: cmake
BuildRequires: intltool

Requires: python3
Requires: python3-gobject
Requires: desktop-file-utils
Requires: python3-matplotlib
Requires: python3-matplotlib-gtk3

Requires: gobject-introspection
Requires: gtk3
Requires: pango
Requires: libmirage

%description
CD/DVD-ROM image analyzer, based on libMirage library.

%prep
%setup -q

%build
%cmake -DPOST_INSTALL_HOOKS=off .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang image-analyzer

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files -f image-analyzer.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Mon Jan  6 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-1
- Updated to 3.2.4

* Tue Nov  5 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-2
- Rebuild for Fedora 31

* Tue Aug 27 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-1
- Updated to 3.2.3

* Sun Mar 17 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.2-1
- Updated to 3.2.2

* Sat Mar  2 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.1-1
- Updated to 3.2.1

* Sat Jul  7 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.0-1
- Updated to 3.2.0
- Updated dependencies due to switch to python3
- Added dependencies that are imported via GIR

* Sat Jun 10 2017 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.1.0-1
- Updated to 3.1.0

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-1
- Updated to 3.0.1

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.0-2
- Fixed rpmlint errors and warnings
- Added desktop-file-utils dependency

* Sun Jun 29 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.0-1
- Updated to 3.0.0

* Thu Sep 19 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.1-1
- Updated to 2.1.1

* Fri Jun  7 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.0-1
- Updated to 2.1.0

* Mon Dec 24 2012 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.0.0-1
- RPM release for new version
